package com.yinet.system.mapper;

import com.yinet.system.domain.GuidanceFile;
import java.util.List;

/**
 * 办事指南文件Mapper接口
 * 
 * @author yinet
 * @date 2019-11-11
 */
public interface GuidanceFileMapper 
{
    /**
     * 查询办事指南文件
     * 
     * @param fileId 办事指南文件ID
     * @return 办事指南文件
     */
    public GuidanceFile selectGuidanceFileById(String fileId);
    /**
     * 查询办事指南文件
     *
     * @param guidanceId 办事指南文件ID
     * @return 办事指南文件
     */
    public List<GuidanceFile> selectGuidanceFileByGuidanceId(String guidanceId);
    /**
     * 查询办事指南文件列表
     * 
     * @param guidanceFile 办事指南文件
     * @return 办事指南文件集合
     */
    public List<GuidanceFile> selectGuidanceFileList(GuidanceFile guidanceFile);

    /**
     * 新增办事指南文件
     * 
     * @param guidanceFile 办事指南文件
     * @return 结果
     */
    public int insertGuidanceFile(GuidanceFile guidanceFile);

    /**
     * 修改办事指南文件
     * 
     * @param guidanceFile 办事指南文件
     * @return 结果
     */
    public int updateGuidanceFile(GuidanceFile guidanceFile);

    /**
     * 删除办事指南文件
     * 
     * @param fileId 办事指南文件ID
     * @return 结果
     */
    public int deleteGuidanceFileById(String fileId);

    /**
     * 批量删除办事指南文件
     * 
     * @param fileIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteGuidanceFileByIds(String[] fileIds);
}
